#include <iostream>
#include <inttypes.h>
#include <algorithm>

using namespace std;

int main()
{
    uint64_t n;
    uint32_t k;
    scanf("%" SCNu64 " %" SCNu32, &n, &k);
    uint64_t delioci[k], deliociSortirani[k];
    for(uint32_t i=0;i<k;i++) {
        scanf("%" SCNu64, &delioci[i]);
        deliociSortirani[i] = delioci[i];
    }
    sort(deliociSortirani, deliociSortirani+k+1);
    for(uint32_t i=0;i<k;i++) {
        cout << deliociSortirani[i] << " ";
    }

    return 0;
}